To update the payment status for one or more event registrations, make a PUT call to the /events/{event_id}/tracks/{track_id}/registrations/payment_status endpoint and specify the required path parameters. This endpoint only processes registrations with a payment method (PAYPAL, WEPAY, STRIPE, DOOR, or CHECK). Free registrations without a payment method are silently excluded.

Parameters

  • event_id: (path, string) Required. The ID that uniquely identifies the event. Example: c5da3665-88f9-4b15-82bc-cd6593c32537.

  • track_id: (path, string) Required. The track key that uniquely identifies the event track. Example: gqz1gb.

  • registration_ids: (body, array of strings) Required. The IDs of registrations to update. Example: ["4460bdcd-1a8a-434a-a7bf-c72a500743b2"].

  • payment_status: (body, string) Required. New payment status to set. Example: Paid.

Request Examples

PUT https://api.cc.email/v3/events/{event_id}/tracks/{track_id}/registrations/payment_status

Endpoint Requirements

User privileges: campaign:write

Authorization scopes: campaign_data

<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.cc.email/v3/events/c5da3665-88f9-4b15-82bc-cd6593c32537/tracks/gqz1gb/registrations/payment_status',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "registration_ids": ["4460bdcd-1a8a-434a-a7bf-c72a500743b2", "2ed7e310-ab71-4e8f-8863-8784e7ee4183"],
  "payment_status": "Paid"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer {access_token}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

curl --location --request PUT 'https://api.cc.email/v3/events/c5da3665-88f9-4b15-82bc-cd6593c32537/tracks/gqz1gb/registrations/payment_status' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
  "registration_ids": ["4460bdcd-1a8a-434a-a7bf-c72a500743b2", "2ed7e310-ab71-4e8f-8863-8784e7ee4183"],
  "payment_status": "Paid"
}'
OkHttpClient client = new OkHttpClient().newBuilder()
        .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n  \"registration_ids\": [\"4460bdcd-1a8a-434a-a7bf-c72a500743b2\", \"2ed7e310-ab71-4e8f-8863-8784e7ee4183\"],\n  \"payment_status\": \"Paid\"\n}");
Request request = new Request.Builder()
        .url("https://api.cc.email/v3/events/c5da3665-88f9-4b15-82bc-cd6593c32537/tracks/gqz1gb/registrations/payment_status")
        .method("PUT", body)
        .addHeader("Content-Type", "application/json")
        .addHeader("Authorization", "Bearer {access_token}")
        .build();
Response response = client.newCall(request).execute();

Example Response

A successful update returns a 200 OK response with no body.

Learn more about Registration schema.

Test the endpoint using our reference tester: Try it!

Tags: events